#include <Servo.h>

#define rotatePin 9
#define tiltPin 10

//** max/min up/down right/left are raw servo numbers 0-180
#define maxTiltDown 140   //remember this is a 0-180 scale (standard arduino servo numbers)
#define maxTiltUp 60      //remember this is a 0-180 scale (standard arduino servo numbers)
#define maxRotateLeft 20  //remember this is a 0-180 scale (standard arduino servo numbers)
#define maxRotateRight 170  //remember this is a 0-180 scale (standard arduino servo numbers)

#define tiltCentered 40 //this is based on our 0-100 scale
#define rotateCentered 49 //this is basedon our 0-100 scale

Servo rotateServo;
Servo tiltServo;

int tiltSteps;
int rotateSteps;
int tiltTimePerStep;
int rotateTimePerStep;
int rotatePos=rotateCentered;
int tiltPos=tiltCentered;
int remRotateGoTo=rotateCentered;
int remTiltGoTo=tiltCentered;
long remTiltTime;
long remRotateTime;
boolean headInPosition=false; 
int a,b,c;


void setup() 
{ 
  rotateServo.attach(rotatePin);  
  tiltServo.attach(tiltPin);  
  rotatePos=rotateCentered;
  tiltPos=tiltCentered;
  moveHeadNow(rotatePos,tiltPos);
  delay(1000);
}

void loop()
{
  randomHead();
}

void randomHead()
{
  a=random(1,100);
  b=random(1,100);
  c=random(250,2000);
  rampHead(a,b,c);
  delay(random(100,1000));
}
