void moveHeadNow(int rotateGoTo, int tiltGoTo) //don't forget we are using a 0-100 scale
{
  int tempRotate=map(rotateGoTo,0,100,maxRotateLeft,maxRotateRight); //convert from our 0-100 scale to servo min/max as defined in constants
  tempRotate=constrain(tempRotate,maxRotateLeft,maxRotateRight); //protect against overflows and bad math
  rotateServo.write(tempRotate); //move the servo
  rotatePos=rotateGoTo;
  int tempTilt=map(tiltGoTo,0,100,maxTiltDown,maxTiltUp); //convert from our 0-100 scale to servo min/max as defined in constants
  tempTilt=constrain(tempTilt,maxTiltUp,maxTiltDown); //protect against overflows and bad math
  tiltServo.write(tempTilt); //move the servo
  tiltPos=tiltGoTo;    
  headInPosition=true; // we are done, head is in position, set the "we are done" flag to true
}



//*****this routine camps here until move is done***
void rampHead(int rotateGoTo, int tiltGoTo, int howLong)  //position, position, total move time in milliseconds (Position is 0-100 scale!)
{
  tiltSteps=tiltPos-tiltGoTo; //total number of steps
  rotateSteps=rotatePos-rotateGoTo; //total number of steps
  tiltTimePerStep=howLong/abs(tiltSteps); //how many milliseconds per step
  rotateTimePerStep=howLong/abs(rotateSteps);  //how many milliseconds per step
  remTiltTime=millis(); //reset our "clock"
  remRotateTime=millis();  //reset our "clock"
  
  while (rotatePos!=rotateGoTo || tiltPos!=tiltGoTo) //notice the "while" --We are going to sit here until we are done --until both servos are in position
    {
      if(millis()>=remRotateTime+rotateTimePerStep && rotatePos!=rotateGoTo) //this is the same as the "blink without delay" Aduino example
      {
        if (rotateSteps<0) //determine which way we are moving the servo
        {
          rotatePos++;  
        }else{
          rotatePos--; 
        }    
        int tempRotate=map(rotatePos,0,100,maxRotateLeft,maxRotateRight); //convert from our 0-100 scale to servo min/max as defined in constants
        tempRotate=constrain(tempRotate,maxRotateLeft,maxRotateRight); //protect against overflows and bad math
        rotateServo.write(tempRotate); //move the servo
        remRotateTime=millis();  //reset our "clock"
      }  
      
      if(millis()>=remTiltTime+tiltTimePerStep && tiltPos!=tiltGoTo) //this is the same as the "blink without delay" Aduino example
      {
        if (tiltSteps<0) //determine which way we are moving the servo
        {
          tiltPos++;  
        }else{
          tiltPos--; 
        }   
        int tempTilt=map(tiltPos,0,100,maxTiltDown,maxTiltUp); //convert from our 0-100 scale to servo min/max as defined in constants
        tempTilt=constrain(tempTilt,maxTiltUp,maxTiltDown);  //protect against overflows and bad math
        tiltServo.write(tempTilt); //move the servo
        remTiltTime=millis(); //reset our "clock"
      }       
    }
    headInPosition=true; //we have left the "while" loop --we are done, head is in position, set the "we are done" flag to true
  }


//**you must keep calling on this routine to keep your servos stepping to where you want them to go --> boolean headInPosition becomes true when move is done
void rampHeadStep(int rotateGoTo, int tiltGoTo, int howLong)  //position, position, total move time in milliseconds (Position is 0-100 scale!)
{

  if (remRotateGoTo != rotateGoTo || remTiltGoTo != tiltGoTo) //goto got changed, prep for new move
  {
    remRotateGoTo = rotateGoTo; //remember current goto move
    remTiltGoTo = tiltGoTo; //remember current goto move 
    headInPosition=false; //clear "we are done" flag
    tiltSteps=tiltPos-tiltGoTo; //total number of steps
    rotateSteps=rotatePos-rotateGoTo; //total number of steps
    tiltTimePerStep=howLong/abs(tiltSteps); //how many milliseconds per step
    rotateTimePerStep=howLong/abs(rotateSteps);  //how many milliseconds per step
    remTiltTime=millis(); //reset our "clock"
    remRotateTime=millis();  //reset our "clock"
  }
  
  if(rotatePos==rotateGoTo && tiltPos==tiltGoTo) //we got to where we were going. Set the "we are done" flag 
  {
    headInPosition=true; //your main loop code could watch for this flag to change to know the head is done moving
  }
  
  if (rotatePos!=rotateGoTo) //if current position does not = where we want to go
  {
    if(millis()>=remRotateTime+rotateTimePerStep && rotatePos!=rotateGoTo) //this is the same as the "blink without delay" Aduino example
    {
      if (rotateSteps<0) //which way are we moving the servo?
      {
        rotatePos++;  
      }else{
        rotatePos--; 
      }
      int tempRotate=map(rotatePos,0,100,maxRotateLeft,maxRotateRight); //convert from our 0-100 scale to servo min/max as defined in constants
      tempRotate=constrain(tempRotate,maxRotateLeft,maxRotateRight); //protect against overflows and bad math
      rotateServo.write(tempRotate); //move the servo
      remRotateTime=millis(); //reset our "clock"
    }
  }  
  if (tiltPos!=tiltGoTo) //if current position does not = where we want to go
  {
    if(millis()>=remTiltTime+tiltTimePerStep && tiltPos!=tiltGoTo)  //this is the same as the "blink without delay" Aduino example
    {
      if (tiltSteps<0) //which way are we moving the servo?
      {
        tiltPos++;  
      }else{
        tiltPos--; 
      }
      
      int tempTilt=map(tiltPos,0,100,maxTiltDown,maxTiltUp); //convert from our 0-100 scale to servo min/max as defined in constants
      tempTilt=constrain(tempTilt,maxTiltUp,maxTiltDown); //protect against overflows and bad math
      tiltServo.write(tempTilt); //move the servo
      remTiltTime=millis(); //reset our "clock"
     } 
   }            
}
  

